# Button 按钮

## 基础用法

:::snippet 通过 `type` 设置按钮类型，`color` 设置按钮的显示状态颜色。

```html
<template>
  <div>
    <j-button>Primary</j-button>
    <j-button color="success">Success</j-button>
    <j-button color="danger">Danger</j-button>
    <j-button color="warning">Warning</j-button>
    <j-button color="dark">Dark</j-button>
  </div>
</template>
```

:::

## 按钮禁用

:::snippet 设置 `disabled` 属性来禁用按钮。

```html
<template>
  <div>
    <j-button disabled>Primary</j-button>
    <j-button type="border" disabled>Primary</j-button>
    <j-button type="flat" disabled>Primary</j-button>
  </div>
</template>
```

:::

## 按钮类别

:::snippet 通过 `type` 设置按钮类型，设置 `type` 会给按钮加上`.j-button--type-{type}`格式的样式可以进行扩展。

```html
<template>
  <div>
    <div class="j-demo--button-bottom">
      <j-button>Primary</j-button>
      <j-button color="success">Success</j-button>
      <j-button color="danger">Danger</j-button>
      <j-button color="warning">Warning</j-button>
      <j-button color="dark">Dark</j-button>
    </div>
    <div class="j-demo--button-bottom">
      <j-button type="border">Primary</j-button>
      <j-button type="border" color="success">Success</j-button>
      <j-button type="border" color="danger">Danger</j-button>
      <j-button type="border" color="warning">Warning</j-button>
      <j-button type="border" color="dark">Dark</j-button>
    </div>
    <div>
      <j-button type="flat">Primary</j-button>
      <j-button type="flat" color="success">Success</j-button>
      <j-button type="flat" color="danger">Danger</j-button>
      <j-button type="flat" color="warning">Warning</j-button>
      <j-button type="flat" color="dark">Dark</j-button>
    </div>
  </div>
</template>

<style>
  .j-demo--button-bottom {
    margin-bottom: 15px;
  }
</style>
```

:::

## 按钮图标

:::snippet `icon` 设置图标样式，`iconType` 设置图标的在左侧还是右侧。

```html
<template>
  <div>
    <div class="j-demo--button-bottom">
      <j-button icon="k-v-icon-github">contetnt</j-button>
      <j-button icon="k-v-icon-github" icon-type="right">contetnt</j-button>
      <j-button type="border" icon="k-v-icon-github" icon-type="right"
        >contetnt</j-button
      >
      <j-button type="border" icon="k-v-icon-github">contetnt</j-button>
      <j-button type="flat" icon="k-v-icon-github" icon-type="right"
        >contetnt</j-button
      >
      <j-button type="flat" icon="k-v-icon-github">contetnt</j-button>
    </div>
    <div>
      <j-button icon="k-v-icon-github"></j-button>
      <j-button icon="k-v-icon-github" icon-type="right"></j-button>
      <j-button
        type="border"
        icon="k-v-icon-github"
        icon-type="right"
      ></j-button>
      <j-button type="border" icon="k-v-icon-github"></j-button>
      <j-button
        type="flat"
        icon="k-v-icon-github"
        icon-type="right"
      ></j-button>
      <j-button type="flat" icon="k-v-icon-github"></j-button>
    </div>
  </div>
</template>

<style>
  .j-demo--button-bottom {
    margin-bottom: 15px;
  }
</style>
```

:::

## 按钮圆角

:::snippet 设置 `circle` 自动设置圆角样式。

```html
<template>
  <div>
    <div class="j-demo--button-bottom">
      <j-button icon="k-v-icon-github" circle>contetnt</j-button>
      <j-button type="border" icon="k-v-icon-github" circle
        >contetnt</j-button
      >
      <j-button type="flat" icon="k-v-icon-github" circle>contetnt</j-button>
    </div>
    <div>
      <j-button icon="k-v-icon-github" circle></j-button>
      <j-button type="border" icon="k-v-icon-github" circle></j-button>
      <j-button type="flat" icon="k-v-icon-github" circle></j-button>
    </div>
  </div>
</template>

<style>
  .j-demo--button-bottom {
    margin-bottom: 15px;
  }
</style>
```

:::

### 按钮大小

:::snippet 通过 `size` 设置按钮大小。

```html
<template>
  <div>
    <j-button size="large">Large</j-button>
    <j-button>Default</j-button>
    <j-button size="small">Small</j-button>
  </div>
</template>
```

:::

## jButton Attributes

| 参数     | 说明         | 类型    | 可选值                               | 默认值  |
| -------- | ------------ | ------- | ------------------------------------ | ------- |
| size     | 尺寸         | string  | large / default / small              | default |
| color    | 尺寸         | string  | primary / success / danger/ warining | —       |
| type     | 类型         | string  | fill/border/flat                     | —       |
| circle   | 是否圆角按钮 | boolean | —                                    | false   |
| disabled | 是否禁用状态 | boolean | —                                    | false   |
| icon     | 图标类名     | string  | —                                    | —       |
| iconType | 按钮对其格式 | string  | left / right                         | left    |
