# Tree 树

## 基本功能

:::snippet 使用 `:data` 来进行数据传递，值为 `Array` 类型。

```html
<template>
  <div>
    <j-tree ref='tree'
            :data='data'
            :showChecked='showChecked'
            @on-change-check='handleChangeCheck'
            @on-click-content='handleClickContent'></j-tree>
               
  </div>
</template>

<script>
export default {
  methods: {
    //checkbox事件
    handleChangeCheck (e) {
      console.log(e)
    },
    //check事件
    handleClickContent (e) {
       console.log(e)
    },
     //获取选中的id
    handleGetChecked () {
      this.checkedArr = this.$refs.tree.getCheckedVal()
    },
    //设置选中的值
    handleSetChecked () {
      this.$refs.tree.setVal(this.setCheckedArr)
    }
  },
  data () {
    return {
      showChecked: true,
      data: [
        {
          label: "一级 1",
          id: 1,
          children: [
            {
              label: "二级 1-1",
              id: 2,
              children: [
                {
                  id: 3,
                  label: "三级 1-1-1",
                }
              ]
            }
          ]
        },
        {
          label: "一级 2",
          id: 4,
          children: [
            {
              id: 5,
              label: "二级 2-1",
              children: [
                {
                  id: 6,
                  label: "三级 2-1-1"
                }
              ]
            },
            {
              id: 7,
              label: "二级 2-2",
              children: [
                {
                  id: 8,
                  label: "三级 2-2-1"
                }
              ]
            }
          ]
        },
        {
          label: "一级 3",
          id: 9,
          children: [
            {
              id: 10,
              label: "二级 3-1",
              children: [{ id: 11, label: "三级 3-1-1" }]
            },
            {
              id: 12,
              label: "二级 3-2",
              children: [
                {
                  id: 13,
                  label: "三级 3-2-1",
                  children: [
                    {
                      id: 14,
                      label: "四级 3-2-1-1",
                    },
                    {
                      id: 15,
                      label: "四级 3-2-1-2",
                    }
                  ]
                }
              ]
            }
          ]
        }
      ]
    }
  }
}
</script>

```
:::

## jTree Attributes

| 参数     | 说明       | 类型                  | 可选值 | 默认值 |
| -------- | ---------- | --------------------- | ------ | ------ |
| data     |  展示数据    | array               | —      |   —   |
| showChecked  | 是否展示复选框 | boolean | true/false     | false     |


## jTree Events

| 事件名称 | 说明                     | 回调参数    |
| -------- | ------------------------ | ----------- |
| handleChangeCheck   | 当绑定值checkbox变化时触发的事件 | value |
| handleClickContent   | 当绑定值点击时触发的事件 | value |

## jTree 方法

| 事件名称 | 说明                     | 可选值 | 回调参数    |
| -------- | ------------------------ | ---- | ----------- |
| getCheckedVal   | 获取选中的id | —  | — |array |
| setVal   | 设置选中的值 |array |—  |